> For the complete documentation index, see [llms.txt](https://docs.pinot.apache.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pinot.apache.org/release-1.1.0/configuration-reference/functions/sha512.md).

# sha512

This section contains reference documentation for the SHA512 function.

Return SHA-512 digest of binary column(`bytes` type) as hex string

## Signature

> SHA512(bytesCol)

## Usage Examples

These examples are based on the [Real time Quick Start](/release-1.1.0/basics/getting-started/quick-start.md#realtime).

```sql
select event_id, location, SHA512(location) AS hash
from meetupRsvp 
limit 1
```

| event\_id | location                           | hash                                                                                                                             |
| --------- | ---------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| 282776561 | 80406178a3d70a3d714041d5c28f5c28f6 | 06cc4532755995fc1661f4195f3c67440471eba809a321635cda988a09e8bb66fd040713b1a88320bb70d6bd24443e5128527a178503e6c21d2c70438f02d103 |

{% hint style="info" %}
The row returned will be different if you run this example as the data is ingested in real-time.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pinot.apache.org/release-1.1.0/configuration-reference/functions/sha512.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
